org.firebirdsql.jdbc.field

## Class FBBinaryField

- java.lang.Object
- - org.firebirdsql.jdbc.field.FBField
  - - org.firebirdsql.jdbc.field.FBBinaryField

-     public class FBBinaryField
      extends FBField

  Field for binary fields (`(VAR)CHAR CHARACTER SET OCTETS`).

  Implements behavior that considers fields of `(VAR)CHAR CHARACTER SET OCTETS` to be of types `Types.BINARY` or `Types.VARBINARY`.

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.jdbc.field.FBField

      `fieldDescriptor, gdsHelper, mappingPath, requiredType, scale`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getBinaryStream()`
    `byte[]` | `getBytes()`
    `java.lang.String` | `getString()`
    `protected void` | `setBinaryStreamInternal(java.io.InputStream in, long length)`
    `void` | `setBytes(byte[] value)`
    `protected void` | `setCharacterStreamInternal(java.io.Reader in, long length)`
    `void` | `setString(java.lang.String value)`

    - ### Methods inherited from class org.firebirdsql.jdbc.field.FBField

      `close, createField, getAlias, getArray, getBigDecimal, getBigDecimal, getBigInteger, getBlob, getBoolean, getByte, getCharacterStream, getClob, getDatatypeCoder, getDate, getDate, getDouble, getFieldData, getFloat, getInt, getLong, getName, getObject, getObject, getObject, getObjectConverter, getRawDateTimeStruct, getRef, getRelationName, getShort, getTime, getTime, getTimestamp, getTimestamp, isInvertTimeZone, isNull, isType, setBigDecimal, setBigInteger, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBoolean, setByte, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setConnection, setDate, setDate, setDouble, setFieldData, setFloat, setInteger, setLong, setNull, setObject, setRawDateTimeStruct, setRequiredType, setShort, setTime, setTime, setTimestamp, setTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getString

          public java.lang.String getString()
                                     throws java.sql.SQLException

      Overrides:
        `getString` in class `FBField`
      Throws:
        `java.sql.SQLException`

    - #### setString

          public void setString(java.lang.String value)
                         throws java.sql.SQLException

      Overrides:
        `setString` in class `FBField`
      Throws:
        `java.sql.SQLException`

    - #### getBytes

          public byte[] getBytes()
                          throws java.sql.SQLException

      Overrides:
        `getBytes` in class `FBField`
      Throws:
        `java.sql.SQLException`

    - #### setBytes

          public void setBytes(byte[] value)
                        throws java.sql.SQLException

      Overrides:
        `setBytes` in class `FBField`
      Throws:
        `java.sql.SQLException`

    - #### getBinaryStream

          public java.io.InputStream getBinaryStream()
                                              throws java.sql.SQLException

      Overrides:
        `getBinaryStream` in class `FBField`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStreamInternal

          protected void setBinaryStreamInternal(java.io.InputStream in,
                                                 long length)
                                          throws java.sql.SQLException

      Overrides:
        `setBinaryStreamInternal` in class `FBField`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStreamInternal

          protected void setCharacterStreamInternal(java.io.Reader in,
                                                    long length)
                                             throws java.sql.SQLException

      Overrides:
        `setCharacterStreamInternal` in class `FBField`
      Throws:
        `java.sql.SQLException`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.